Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.variazionirapportolavoro
Class AggiornamentoRapportoLavoro

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.variazionirapportolavoro.AggiornamentoRapportoLavoro

    public class AggiornamentoRapportoLavoro

extends java.lang.Object

Dati di aggiornamento del rapporto di lavoro.

Field Summary
`private VariazionePeriodoPartTime` | `aggiornamentoDatiPartTime` Dati per l'inserimento/aggiornamento del part-time.
`private VariazionePeriodoAspettativa` | `aggiornamentoDatiPeriodoApettativa` Dati per l'inserimento/aggiornamento dell'aspettativa.
`private java.lang.String` | `codAziendaProvenienza` Codice nazionale azienda sanitaria di provenienza del dipendente.
`private java.lang.String` | `codEnteProvenienza` Codice ISTAT ente di provenienza del dipendente.
`private java.lang.Integer` | `modalitaAssunzione` Modalità di assunzione del dipendente.
`private java.lang.Integer` | `motivoAssunzione` Motivo di assunzione di un dipendente da parte del Servizio Sanitario Regionale.
`private java.lang.Integer` | `tipoAziendaProvenienza` Tipo azienda di provenienza.
`private java.lang.Integer` | `tipologiaDurata` Tipologia di rapporto di lavoro instaurato con il SSR.
`private java.lang.Integer` | `tipoRapporto` Tipo di rapporto di lavoro.
`private java.lang.Integer` | `variazionePeriodoAspettativa` Codice indicante se la variazione riguarda l'inserimento o l'aggiornamento di un periodo di aspettativa.
`private java.lang.Integer` | `variazionePeriodoPartTime` Codice indicante se la variazione riguarda l'inserimento o l'aggiornamento di un periodo part-time.

Constructor Summary
`AggiornamentoRapportoLavoro()`

Method Summary
`VariazionePeriodoPartTime` | `getAggiornamentoDatiPartTime()`
`VariazionePeriodoAspettativa` | `getAggiornamentoDatiPeriodoApettativa()`
`java.lang.String` | `getCodAziendaProvenienza()`
`java.lang.String` | `getCodEnteProvenienza()`
`java.lang.Integer` | `getModalitaAssunzione()`
`java.lang.Integer` | `getMotivoAssunzione()`
`java.lang.Integer` | `getTipoAziendaProvenienza()`
`java.lang.Integer` | `getTipologiaDurata()`
`java.lang.Integer` | `getTipoRapporto()`
`java.lang.Integer` | `getVariazionePeriodoAspettativa()`
`java.lang.Integer` | `getVariazionePeriodoPartTime()`
`void` | `setAggiornamentoDatiPartTime(VariazionePeriodoPartTime aggiornamentoDatiPartTime)`
`void` | `setAggiornamentoDatiPeriodoApettativa(VariazionePeriodoAspettativa aggiornamentoDatiPeriodoApettativa)`
`void` | `setCodAziendaProvenienza(java.lang.String codAziendaProvenienza)`
`void` | `setCodEnteProvenienza(java.lang.String codEnteProvenienza)`
`void` | `setModalitaAssunzione(java.lang.Integer modalitaAssunzione)`
`void` | `setMotivoAssunzione(java.lang.Integer motivoAssunzione)`
`void` | `setTipoAziendaProvenienza(java.lang.Integer tipoAziendaProvenienza)`
`void` | `setTipologiaDurata(java.lang.Integer tipologiaDurata)`
`void` | `setTipoRapporto(java.lang.Integer tipoRapporto)`
`void` | `setVariazionePeriodoAspettativa(java.lang.Integer variazionePeriodoAspettativa)`
`void` | `setVariazionePeriodoPartTime(java.lang.Integer variazionePeriodoPartTime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tipologiaDurata

    @Facets(totalDigits=2L,
            pattern="(1|2|3|4|5|6){1}")
    @MinOccurs(value=0L)
    private java.lang.Integer tipologiaDurata

  Tipologia di rapporto di lavoro instaurato con il SSR. Può assumere i seguenti valori:
  - 1: DETERMINATO
  - 2: INDETERMINATO
  - 3: UNIVERSITARIO
  - 4: CONVENZIONE
  - 5: COLLABORAZIONE A POGETTO
  - 6: INCARICO A TEMPO DETERMINATO EX ART. 15 SEPTIES DLGS 502/92

### tipoRapporto

    @Facets(totalDigits=2L,
            pattern="(1|2){1}")
    @MinOccurs(value=0L)
    private java.lang.Integer tipoRapporto

  Tipo di rapporto di lavoro. Può assumere i seguenti valori:
  - 1: ESCLUSIVO
  - 2: NON ESCLUSIVO

### modalitaAssunzione

    @Facets(totalDigits=2L,
            pattern="(1|2|3|4|6|8|9|10){1}")
    @MinOccurs(value=0L)
    private java.lang.Integer modalitaAssunzione

  Modalità di assunzione del dipendente. Può assumere i seguenti valori:
  - 1: PUBBLICO CONCORSO
  - 2: MOBILITA’ REGIONALE
  - 3: MOBILITA’ INTERREGIONALE
  - 4: MOBILITA’ INTERCOMPARTIMENTALE/TRASFERIMENTO COMPETENZE
  - 5: LEGGE 56/87
  - 6: AVVISO PUBBLICO
  - 7: LEGGE 68/99
  - 8: STABILIZZAZIONE
  - 9: COMANDO/ASSEGNAZIONE PROVVISORIA
  - 10: CHIAMATA SU DICHIARAZIONE DI DISPONIBILITA’

### motivoAssunzione

    @Facets(totalDigits=2L,
            pattern="(1|2){1}")
    @MinOccurs(value=0L)
    private java.lang.Integer motivoAssunzione

  Motivo di assunzione di un dipendente da parte del Servizio Sanitario Regionale. Può assumere i seguenti valori:
  - 1: COPERTURA POSTO VACANTE
  - 2: SOSTITUZIONE PERSONALE CON DIRITTO ALLA CONSERVAZIONE DEL POSTO

### codEnteProvenienza

    @Facets(maxLength=20L)
    @MinOccurs(value=0L)
    private java.lang.String codEnteProvenienza

  Codice ISTAT ente di provenienza del dipendente. Il campo è alternativo al campo Azienda sanitaria di provenienza. Il campo è obbligatorio se la modalità di assunzione è uguale a 3 o 4. Impostare il valore a -1 per cancellare un ente precedentemente inserito.

### codAziendaProvenienza

    @Facets(maxLength=6L)
    @MinOccurs(value=0L)
    private java.lang.String codAziendaProvenienza

  Codice nazionale azienda sanitaria di provenienza del dipendente. Il campo è alternativo al campo Ente di provenienza. Il campo è obbligatorio se la modalità di assunzione è uguale a 2. Impostare il valore a -1 per cancellare un'azienda precedentemente inserita.

### tipoAziendaProvenienza

    @Facets(totalDigits=1L,
            pattern="(1|2|3){1}")
    @MinOccurs(value=0L)
    private java.lang.Integer tipoAziendaProvenienza

  Tipo azienda di provenienza. Può assumere i seguenti valori:
  - 1: Azienda Ospedaliera
  - 2: IRCCS pubblico
  - 3: ASL

### variazionePeriodoPartTime

    @Facets(totalDigits=1L,
            pattern="(0|1|2){1}")
    @MinOccurs(value=0L)
    private java.lang.Integer variazionePeriodoPartTime

  Codice indicante se la variazione riguarda l'inserimento o l'aggiornamento di un periodo part-time. Può assumere i seguenti valori:
  - 0: La variazione non riguarda il periodo di part-time.
  - 1: La variazione riguarda l'inserimento di un periodo part-time.
  - 2: La variazione riguarda l'aggiornamento di un periodo part-time.

### aggiornamentoDatiPartTime

    @MinOccurs(value=0L)
    private VariazionePeriodoPartTime aggiornamentoDatiPartTime

  Dati per l'inserimento/aggiornamento del part-time. L'elemento è obbligatorio se il campo variazionePeriodoPartTime è uguale a 1 o 2, in caso contrario non deve essere presente.

### variazionePeriodoAspettativa

    @Facets(totalDigits=1L,
            pattern="(0|1|2){1}")
    @MinOccurs(value=0L)
    private java.lang.Integer variazionePeriodoAspettativa

  Codice indicante se la variazione riguarda l'inserimento o l'aggiornamento di un periodo di aspettativa. Può assumere i seguenti valori:
  - 0: La variazione non riguarda il periodo di aspettativa.
  - 1: La variazione riguarda l'inserimento di un periodo di aspettativa.
  - 2: La variazione riguarda l'aggiornamento di un periodo di aspettativa.

### aggiornamentoDatiPeriodoApettativa

    @MinOccurs(value=0L)
    private VariazionePeriodoAspettativa aggiornamentoDatiPeriodoApettativa

  Dati per l'inserimento/aggiornamento dell'aspettativa. L'elemento è obbligatorio se il campo variazionePeriodoAspettativa è uguale a 1 o 2, in caso contrario non deve essere presente.

Constructor Detail

### AggiornamentoRapportoLavoro

    public AggiornamentoRapportoLavoro()

Method Detail

### setCodAziendaProvenienza

    public void setCodAziendaProvenienza(java.lang.String codAziendaProvenienza)

### getCodAziendaProvenienza

    public java.lang.String getCodAziendaProvenienza()

### setCodEnteProvenienza

    public void setCodEnteProvenienza(java.lang.String codEnteProvenienza)

### getCodEnteProvenienza

    public java.lang.String getCodEnteProvenienza()

### setTipoRapporto

    public void setTipoRapporto(java.lang.Integer tipoRapporto)

### getTipoRapporto

    public java.lang.Integer getTipoRapporto()

### setTipologiaDurata

    public void setTipologiaDurata(java.lang.Integer tipologiaDurata)

### getTipologiaDurata

    public java.lang.Integer getTipologiaDurata()

### setModalitaAssunzione

    public void setModalitaAssunzione(java.lang.Integer modalitaAssunzione)

### getModalitaAssunzione

    public java.lang.Integer getModalitaAssunzione()

### setMotivoAssunzione

    public void setMotivoAssunzione(java.lang.Integer motivoAssunzione)

### getMotivoAssunzione

    public java.lang.Integer getMotivoAssunzione()

### setVariazionePeriodoPartTime

    public void setVariazionePeriodoPartTime(java.lang.Integer variazionePeriodoPartTime)

### getVariazionePeriodoPartTime

    public java.lang.Integer getVariazionePeriodoPartTime()

### setVariazionePeriodoAspettativa

    public void setVariazionePeriodoAspettativa(java.lang.Integer variazionePeriodoAspettativa)

### getVariazionePeriodoAspettativa

    public java.lang.Integer getVariazionePeriodoAspettativa()

### setTipoAziendaProvenienza

    public void setTipoAziendaProvenienza(java.lang.Integer tipoAziendaProvenienza)

### getTipoAziendaProvenienza

    public java.lang.Integer getTipoAziendaProvenienza()

### getAggiornamentoDatiPartTime

    public VariazionePeriodoPartTime getAggiornamentoDatiPartTime()

### setAggiornamentoDatiPartTime

    public void setAggiornamentoDatiPartTime(VariazionePeriodoPartTime aggiornamentoDatiPartTime)

### getAggiornamentoDatiPeriodoApettativa

    public VariazionePeriodoAspettativa getAggiornamentoDatiPeriodoApettativa()

### setAggiornamentoDatiPeriodoApettativa

    public void setAggiornamentoDatiPeriodoApettativa(VariazionePeriodoAspettativa aggiornamentoDatiPeriodoApettativa)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD